import sys
from mtga.models.card import Card
from mtga.models.card_set import Set
import inspect

BlindingRadiance = Card("blinding_radiance", "Blinding Radiance", ['2', 'W'], ['W'], "", "", "ANA", "Uncommon", 1, 68766)
SpiritualGuardian = Card("spiritual_guardian", "Spiritual Guardian", ['3', 'W', 'W'], ['W'], "", "", "ANA", "Common", 2, 68767)
TacticalAdvantage = Card("tactical_advantage", "Tactical Advantage", ['W'], ['W'], "", "", "ANA", "Common", 3, 68769)
FeralRoar = Card("feral_roar", "Feral Roar", ['1', 'G'], ['G'], "", "", "ANA", "Common", 4, 68771)
ShorecomberCrab = Card("shorecomber_crab", "Shorecomber Crab", ['U'], ['U'], "", "", "ANA", "Common", 5, 68772)
GoblinBruiser = Card("goblin_bruiser", "Goblin Bruiser", ['1', 'R', 'R'], ['R'], "", "", "ANA", "Uncommon", 6, 68773)
ZephyrGull = Card("zephyr_gull", "Zephyr Gull", ['U'], ['U'], "", "", "ANA", "Common", 7, 68776)
SoulhunterRakshasa = Card("soulhunter_rakshasa", "Soulhunter Rakshasa", ['3', 'B', 'B'], ['B'], "", "", "ANA", "Rare", 8, 68782)
RagingGoblin = Card("raging_goblin", "Raging Goblin", ['R'], ['R'], "", "", "ANA", "Common", 9, 68784)
ConfronttheAssault = Card("confront_the_assault", "Confront the Assault", ['4', 'W'], ['W'], "", "", "ANA", "Uncommon", 10, 68786)
TakeVengeance = Card("take_vengeance", "Take Vengeance", ['1', 'W'], ['W'], "", "", "ANA", "Common", 11, 68787)
KnightsPledge = Card("knights_pledge", "Knight's Pledge", ['1', 'W'], ['W'], "", "", "ANA", "Common", 12, 68788)
LoxodonLineBreaker = Card("loxodon_line_breaker", "Loxodon Line Breaker", ['2', 'W'], ['W'], "", "", "ANA", "Common", 13, 68789)
VolcanicDragon = Card("volcanic_dragon", "Volcanic Dragon", ['4', 'R', 'R'], ['R'], "", "", "ANA", "Uncommon", 14, 68790)
RisefromtheGrave = Card("rise_from_the_grave", "Rise from the Grave", ['4', 'B'], ['B'], "", "", "ANA", "Uncommon", 15, 68791)
Waterknot = Card("waterknot", "Waterknot", ['1', 'U', 'U'], ['U'], "", "", "ANA", "Common", 16, 68792)
SerraAngel = Card("serra_angel", "Serra Angel", ['3', 'W', 'W'], ['W'], "", "", "ANA", "Uncommon", 17, 68793)
ChaosMaw = Card("chaos_maw", "Chaos Maw", ['5', 'R', 'R'], ['R'], "", "", "ANA", "Rare", 18, 68794)
MiasmicMummy = Card("miasmic_mummy", "Miasmic Mummy", ['1', 'B'], ['B'], "", "", "ANA", "Common", 19, 68795)
OverflowingInsight = Card("overflowing_insight", "Overflowing Insight", ['4', 'U', 'U', 'U'], ['U'], "", "", "ANA", "Mythic Rare", 20, 68796)
Earthquake = Card("earthquake", "Earthquake", ['X', 'R'], ['R'], "", "", "ANA", "Rare", 21, 68797)
AmbitionsCost = Card("ambitions_cost", "Ambition's Cost", ['3', 'B'], ['B'], "", "", "ANA", "Uncommon", 22, 68798)
ReaveSoul = Card("reave_soul", "Reave Soul", ['1', 'B'], ['B'], "", "", "ANA", "Common", 23, 68799)
Divination = Card("divination", "Divination", ['2', 'U'], ['U'], "", "", "ANA", "Common", 24, 68800)
RumblingBaloth = Card("rumbling_baloth", "Rumbling Baloth", ['2', 'G', 'G'], ['G'], "", "", "ANA", "Common", 25, 68801)
GoblinGrenade = Card("goblin_grenade", "Goblin Grenade", ['R'], ['R'], "", "", "ANA", "Uncommon", 26, 68802)
RenegadeDemon = Card("renegade_demon", "Renegade Demon", ['3', 'B', 'B'], ['B'], "", "", "ANA", "Common", 27, 68803)
SanctuaryCat = Card("sanctuary_cat", "Sanctuary Cat", ['W'], ['W'], "", "", "ANA", "Common", 28, 68804)
FortressCrab = Card("fortress_crab", "Fortress Crab", ['3', 'U'], ['U'], "", "", "ANA", "Common", 29, 68805)
AltarsReap = Card("altars_reap", "Altar's Reap", ['1', 'B'], ['B'], "", "", "ANA", "Common", 30, 68806)
FleshbagMarauder = Card("fleshbag_marauder", "Fleshbag Marauder", ['2', 'B'], ['B'], "", "", "ANA", "Uncommon", 31, 68807)
CruxofFate = Card("crux_of_fate", "Crux of Fate", ['3', 'B', 'B'], ['B'], "", "", "ANA", "Rare", 32, 68810)
SeismicRupture = Card("seismic_rupture", "Seismic Rupture", ['2', 'R'], ['R'], "", "", "ANA", "Uncommon", 33, 68811)
Twincast = Card("twincast", "Twincast", ['U', 'U'], ['U'], "", "", "ANA", "Rare", 34, 68812)
Murder = Card("murder", "Murder", ['1', 'B', 'B'], ['B'], "", "", "ANA", "Uncommon", 35, 68813)
Doublecast = Card("doublecast", "Doublecast", ['R', 'R'], ['R'], "", "", "ANA", "Uncommon", 36, 68814)
AngelicReward = Card("angelic_reward", "Angelic Reward", ['3', 'W', 'W'], ['W'], "", "", "ANA", "Uncommon", 37, 69108)
HallowedPriest = Card("hallowed_priest", "Hallowed Priest", ['2', 'W'], ['W'], "", "", "ANA", "Uncommon", 38, 69109)
InspiringCommander = Card("inspiring_commander", "Inspiring Commander", ['4', 'W', 'W'], ['W'], "", "", "ANA", "Rare", 39, 69110)
ShrineKeeper = Card("shrine_keeper", "Shrine Keeper", ['1', 'W'], ['W'], "", "", "ANA", "Common", 40, 69111)
RiversFavor = Card("rivers_favor", "River's Favor", ['U'], ['U'], "", "", "ANA", "Common", 41, 69112)
TitanicPelagosaur = Card("titanic_pelagosaur", "Titanic Pelagosaur", ['3', 'U', 'U'], ['U'], "", "", "ANA", "Uncommon", 42, 69113)
TrappedinaWhirlpool = Card("trapped_in_a_whirlpool", "Trapped in a Whirlpool", ['3', 'U'], ['U'], "", "", "ANA", "Common", 43, 69114)
CruelCut = Card("cruel_cut", "Cruel Cut", ['1', 'B'], ['B'], "", "", "ANA", "Common", 44, 69115)
NimblePilferer = Card("nimble_pilferer", "Nimble Pilferer", ['1', 'B'], ['B'], "", "", "ANA", "Common", 45, 69116)
GoblinGangLeader = Card("goblin_gang_leader", "Goblin Gang Leader", ['2', 'R', 'R'], ['R'], "", "", "ANA", "Uncommon", 46, 69117)
OgrePainbringer = Card("ogre_painbringer", "Ogre Painbringer", ['3', 'R', 'R'], ['R'], "", "", "ANA", "Rare", 47, 69118)
TreetopWarden = Card("treetop_warden", "Treetop Warden", ['1', 'G'], ['G'], "", "", "ANA", "Common", 48, 69119)


clsmembers = [card for name, card in inspect.getmembers(sys.modules[__name__]) if isinstance(card, Card)]
ArenaExlusives = Set("arena_exclusives", cards=clsmembers)