import sys
from mtga.models.card import Card
from mtga.models.card_set import Set
import inspect


BladeInstructor = Card("blade_instructor", "Blade Instructor", ['2', 'W'], ['W'], "Creature", "Human Soldier", "GRN", "Common", 1, 68462)
BountyAgent = Card("bounty_agent", "Bounty Agent", ['1', 'W'], ['W'], "Creature", "Human Soldier", "GRN", "Rare", 2, 68463)
CandlelightVigil = Card("candlelight_vigil", "Candlelight Vigil", ['3', 'W'], ['W'], "Enchantment", "Aura", "GRN", "Common", 3, 68464)
CitywideBust = Card("citywide_bust", "Citywide Bust", ['1', 'W', 'W'], ['W'], "Sorcery", "", "GRN", "Rare", 4, 68465)
CollartheCulprit = Card("collar_the_culprit", "Collar the Culprit", ['3', 'W'], ['W'], "Instant", "", "GRN", "Common", 5, 68466)
ConclaveTribunal = Card("conclave_tribunal", "Conclave Tribunal", ['3', 'W'], ['W'], "Enchantment", "", "GRN", "Uncommon", 6, 68467)
CrushContraband = Card("crush_contraband", "Crush Contraband", ['3', 'W'], ['W'], "Instant", "", "GRN", "Uncommon", 7, 68468)
DawnofHope = Card("dawn_of_hope", "Dawn of Hope", ['1', 'W'], ['W'], "Enchantment", "", "GRN", "Rare", 8, 68469)
Demotion = Card("demotion", "Demotion", ['W'], ['W'], "Enchantment", "Aura", "GRN", "Uncommon", 9, 68470)
DivineVisitation = Card("divine_visitation", "Divine Visitation", ['3', 'W', 'W'], ['W'], "Enchantment", "", "GRN", "Mythic Rare", 10, 68471)
FlightofEquenauts = Card("flight_of_equenauts", "Flight of Equenauts", ['7', 'W'], ['W'], "Creature", "Human Knight", "GRN", "Uncommon", 11, 68472)
GirdforBattle = Card("gird_for_battle", "Gird for Battle", ['W'], ['W'], "Sorcery", "", "GRN", "Uncommon", 12, 68473)
HaazdaMarshal = Card("haazda_marshal", "Haazda Marshal", ['W'], ['W'], "Creature", "Human Soldier", "GRN", "Uncommon", 13, 68474)
HealersHawk = Card("healers_hawk", "Healer's Hawk", ['W'], ['W'], "Creature", "Bird", "GRN", "Common", 14, 68475)
HuntedWitness = Card("hunted_witness", "Hunted Witness", ['W'], ['W'], "Creature", "Human", "GRN", "Common", 15, 68476)
InspiringUnicorn = Card("inspiring_unicorn", "Inspiring Unicorn", ['2', 'W', 'W'], ['W'], "Creature", "Unicorn", "GRN", "Uncommon", 16, 68477)
IntrusivePackbeast = Card("intrusive_packbeast", "Intrusive Packbeast", ['4', 'W'], ['W'], "Creature", "Beast", "GRN", "Common", 17, 68478)
LedevGuardian = Card("ledev_guardian", "Ledev Guardian", ['3', 'W'], ['W'], "Creature", "Human Knight", "GRN", "Common", 18, 68479)
LightoftheLegion = Card("light_of_the_legion", "Light of the Legion", ['4', 'W', 'W'], ['W'], "Creature", "Angel", "GRN", "Rare", 19, 68480)
LoxodonRestorer = Card("loxodon_restorer", "Loxodon Restorer", ['4', 'W', 'W'], ['W'], "Creature", "Elephant Cleric", "GRN", "Common", 20, 68481)
LuminousBonds = Card("luminous_bonds", "Luminous Bonds", ['2', 'W'], ['W'], "Enchantment", "Aura", "GRN", "Common", 21, 68482)
ParhelionPatrol = Card("parhelion_patrol", "Parhelion Patrol", ['3', 'W'], ['W'], "Creature", "Human Knight", "GRN", "Common", 22, 68483)
RighteousBlow = Card("righteous_blow", "Righteous Blow", ['W'], ['W'], "Instant", "", "GRN", "Common", 23, 68484)
RocCharger = Card("roc_charger", "Roc Charger", ['2', 'W'], ['W'], "Creature", "Bird", "GRN", "Uncommon", 24, 68485)
SkylineScout = Card("skyline_scout", "Skyline Scout", ['1', 'W'], ['W'], "Creature", "Human Scout", "GRN", "Common", 25, 68486)
SunhomeStalwart = Card("sunhome_stalwart", "Sunhome Stalwart", ['1', 'W'], ['W'], "Creature", "Human Soldier", "GRN", "Uncommon", 26, 68487)
SwornCompanions = Card("sworn_companions", "Sworn Companions", ['2', 'W'], ['W'], "Sorcery", "", "GRN", "Common", 27, 68488)
TakeHeart = Card("take_heart", "Take Heart", ['W'], ['W'], "Instant", "", "GRN", "Common", 28, 68489)
TenthDistrictGuard = Card("tenth_district_guard", "Tenth District Guard", ['1', 'W'], ['W'], "Creature", "Human Soldier", "GRN", "Common", 29, 68490)
VeneratedLoxodon = Card("venerated_loxodon", "Venerated Loxodon", ['4', 'W'], ['W'], "Creature", "Elephant Cleric", "GRN", "Rare", 30, 68491)
CaptureSphere = Card("capture_sphere", "Capture Sphere", ['3', 'U'], ['U'], "Enchantment", "Aura", "GRN", "Common", 31, 68492)
ChemistersInsight = Card("chemisters_insight", "Chemister's Insight", ['3', 'U'], ['U'], "Instant", "", "GRN", "Uncommon", 32, 68493)
CitywatchSphinx = Card("citywatch_sphinx", "Citywatch Sphinx", ['5', 'U'], ['U'], "Creature", "Sphinx", "GRN", "Uncommon", 33, 68494)
DazzlingLights = Card("dazzling_lights", "Dazzling Lights", ['U'], ['U'], "Instant", "", "GRN", "Common", 34, 68495)
DeviousCoverUp = Card("devious_coverup", "Devious Cover-Up", ['2', 'U', 'U'], ['U'], "Instant", "", "GRN", "Common", 35, 68496)
DimirInformant = Card("dimir_informant", "Dimir Informant", ['2', 'U'], ['U'], "Creature", "Human Rogue", "GRN", "Common", 36, 68497)
DisdainfulStroke = Card("disdainful_stroke", "Disdainful Stroke", ['1', 'U'], ['U'], "Instant", "", "GRN", "Common", 37, 68498)
DreamEater = Card("dream_eater", "Dream Eater", ['4', 'U', 'U'], ['U'], "Creature", "Nightmare Sphinx", "GRN", "Mythic Rare", 38, 68499)
DrownedSecrets = Card("drowned_secrets", "Drowned Secrets", ['1', 'U'], ['U'], "Enchantment", "", "GRN", "Rare", 39, 68500)
EnhancedSurveillance = Card("enhanced_surveillance", "Enhanced Surveillance", ['1', 'U'], ['U'], "Enchantment", "", "GRN", "Uncommon", 40, 68501)
GuildSummit = Card("guild_summit", "Guild Summit", ['2', 'U'], ['U'], "Enchantment", "", "GRN", "Uncommon", 41, 68502)
Leapfrog = Card("leapfrog", "Leapfrog", ['2', 'U'], ['U'], "Creature", "Frog", "GRN", "Common", 42, 68503)
MaximizeAltitude = Card("maximize_altitude", "Maximize Altitude", ['U'], ['U'], "Sorcery", "", "GRN", "Common", 43, 68504)
MissionBriefing = Card("mission_briefing", "Mission Briefing", ['U', 'U'], ['U'], "Instant", "", "GRN", "Rare", 44, 68505)
MurmuringMystic = Card("murmuring_mystic", "Murmuring Mystic", ['3', 'U'], ['U'], "Creature", "Human Wizard", "GRN", "Uncommon", 45, 68506)
MuseDrake = Card("muse_drake", "Muse Drake", ['3', 'U'], ['U'], "Creature", "Drake", "GRN", "Common", 46, 68507)
Narcomoeba = Card("narcomoeba", "Narcomoeba", ['1', 'U'], ['U'], "Creature", "Illusion", "GRN", "Rare", 47, 68508)
NightveilSprite = Card("nightveil_sprite", "Nightveil Sprite", ['1', 'U'], ['U'], "Creature", "Faerie Rogue", "GRN", "Uncommon", 48, 68509)
OmnispellAdept = Card("omnispell_adept", "Omnispell Adept", ['4', 'U'], ['U'], "Creature", "Human Wizard", "GRN", "Rare", 49, 68510)
PasswallAdept = Card("passwall_adept", "Passwall Adept", ['1', 'U'], ['U'], "Creature", "Human Wizard", "GRN", "Common", 50, 68511)
Quasiduplicate = Card("quasiduplicate", "Quasiduplicate", ['1', 'U', 'U'], ['U'], "Sorcery", "", "GRN", "Rare", 51, 68512)
RadicalIdea = Card("radical_idea", "Radical Idea", ['1', 'U'], ['U'], "Instant", "", "GRN", "Common", 52, 68513)
SelectiveSnare = Card("selective_snare", "Selective Snare", ['X', 'U'], ['U'], "Sorcery", "", "GRN", "Uncommon", 53, 68514)
SinisterSabotage = Card("sinister_sabotage", "Sinister Sabotage", ['1', 'U', 'U'], ['U'], "Instant", "", "GRN", "Uncommon", 54, 68515)
ThoughtboundPhantasm = Card("thoughtbound_phantasm", "Thoughtbound Phantasm", ['U'], ['U'], "Creature", "Spirit", "GRN", "Uncommon", 55, 68516)
UnexplainedDisappearance = Card("unexplained_disappearance", "Unexplained Disappearance", ['1', 'U'], ['U'], "Instant", "", "GRN", "Common", 56, 68517)
VedalkenMesmerist = Card("vedalken_mesmerist", "Vedalken Mesmerist", ['1', 'U'], ['U'], "Creature", "Vedalken Wizard", "GRN", "Common", 57, 68518)
WallofMist = Card("wall_of_mist", "Wall of Mist", ['1', 'U'], ['U'], "Creature", "Wall", "GRN", "Common", 58, 68519)
WatcherintheMist = Card("watcher_in_the_mist", "Watcher in the Mist", ['3', 'U', 'U'], ['U'], "Creature", "Spirit", "GRN", "Common", 59, 68520)
WishcoinCrab = Card("wishcoin_crab", "Wishcoin Crab", ['3', 'U'], ['U'], "Creature", "Crab", "GRN", "Common", 60, 68521)
BarrierofBones = Card("barrier_of_bones", "Barrier of Bones", ['B'], ['B'], "Creature", "Skeleton Wall", "GRN", "Common", 61, 68522)
BartizanBats = Card("bartizan_bats", "Bartizan Bats", ['3', 'B'], ['B'], "Creature", "Bat", "GRN", "Common", 62, 68523)
BloodOperative = Card("blood_operative", "Blood Operative", ['1', 'B', 'B'], ['B'], "Creature", "Vampire Assassin", "GRN", "Rare", 63, 68524)
BurglarRat = Card("burglar_rat", "Burglar Rat", ['1', 'B'], ['B'], "Creature", "Rat", "GRN", "Common", 64, 68525)
ChildofNight = Card("child_of_night", "Child of Night", ['1', 'B'], ['B'], "Creature", "Vampire", "GRN", "Common", 65, 68526)
CreepingChill = Card("creeping_chill", "Creeping Chill", ['3', 'B'], ['B'], "Sorcery", "", "GRN", "Uncommon", 66, 68527)
DeadWeight = Card("dead_weight", "Dead Weight", ['B'], ['B'], "Enchantment", "Aura", "GRN", "Common", 67, 68528)
DeadlyVisit = Card("deadly_visit", "Deadly Visit", ['3', 'B', 'B'], ['B'], "Sorcery", "", "GRN", "Common", 68, 68529)
DoomWhisperer = Card("doom_whisperer", "Doom Whisperer", ['3', 'B', 'B'], ['B'], "Creature", "Nightmare Demon", "GRN", "Mythic Rare", 69, 68530)
DouserofLights = Card("douser_of_lights", "Douser of Lights", ['4', 'B'], ['B'], "Creature", "Horror", "GRN", "Common", 70, 68531)
GruesomeMenagerie = Card("gruesome_menagerie", "Gruesome Menagerie", ['3', 'B', 'B'], ['B'], "Sorcery", "", "GRN", "Rare", 71, 68532)
HiredPoisoner = Card("hired_poisoner", "Hired Poisoner", ['B'], ['B'], "Creature", "Human Assassin", "GRN", "Common", 72, 68533)
KraulSwarm = Card("kraul_swarm", "Kraul Swarm", ['4', 'B'], ['B'], "Creature", "Insect Warrior", "GRN", "Uncommon", 73, 68534)
LotlethGiant = Card("lotleth_giant", "Lotleth Giant", ['6', 'B'], ['B'], "Creature", "Zombie Giant", "GRN", "Uncommon", 74, 68535)
MausoleumSecrets = Card("mausoleum_secrets", "Mausoleum Secrets", ['1', 'B'], ['B'], "Instant", "", "GRN", "Rare", 75, 68536)
MephiticVapors = Card("mephitic_vapors", "Mephitic Vapors", ['2', 'B'], ['B'], "Sorcery", "", "GRN", "Common", 76, 68537)
MidnightReaper = Card("midnight_reaper", "Midnight Reaper", ['2', 'B'], ['B'], "Creature", "Zombie Knight", "GRN", "Rare", 77, 68538)
MoodmarkPainter = Card("moodmark_painter", "Moodmark Painter", ['2', 'B', 'B'], ['B'], "Creature", "Human Shaman", "GRN", "Common", 78, 68539)
NecroticWound = Card("necrotic_wound", "Necrotic Wound", ['B'], ['B'], "Instant", "", "GRN", "Uncommon", 79, 68540)
NeverHappened = Card("never_happened", "Never Happened", ['2', 'B'], ['B'], "Sorcery", "", "GRN", "Common", 80, 68541)
PilferingImp = Card("pilfering_imp", "Pilfering Imp", ['B'], ['B'], "Creature", "Imp", "GRN", "Uncommon", 81, 68542)
Plaguecrafter = Card("plaguecrafter", "Plaguecrafter", ['2', 'B'], ['B'], "Creature", "Human Shaman", "GRN", "Uncommon", 82, 68543)
PriceofFame = Card("price_of_fame", "Price of Fame", ['3', 'B'], ['B'], "Instant", "", "GRN", "Uncommon", 83, 68544)
RitualofSoot = Card("ritual_of_soot", "Ritual of Soot", ['2', 'B', 'B'], ['B'], "Sorcery", "", "GRN", "Rare", 84, 68545)
SeveredStrands = Card("severed_strands", "Severed Strands", ['1', 'B'], ['B'], "Sorcery", "", "GRN", "Common", 85, 68546)
SpinalCentipede = Card("spinal_centipede", "Spinal Centipede", ['2', 'B'], ['B'], "Creature", "Insect", "GRN", "Common", 86, 68547)
UndercityNecrolisk = Card("undercity_necrolisk", "Undercity Necrolisk", ['3', 'B'], ['B'], "Creature", "Zombie Lizard", "GRN", "Uncommon", 87, 68548)
VeiledShade = Card("veiled_shade", "Veiled Shade", ['2', 'B'], ['B'], "Creature", "Shade", "GRN", "Common", 88, 68549)
ViciousRumors = Card("vicious_rumors", "Vicious Rumors", ['B'], ['B'], "Sorcery", "", "GRN", "Common", 89, 68550)
WhisperingSnitch = Card("whispering_snitch", "Whispering Snitch", ['1', 'B'], ['B'], "Creature", "Vampire Rogue", "GRN", "Uncommon", 90, 68551)
ArclightPhoenix = Card("arclight_phoenix", "Arclight Phoenix", ['3', 'R'], ['R'], "Creature", "Phoenix", "GRN", "Mythic Rare", 91, 68552)
BargingSergeant = Card("barging_sergeant", "Barging Sergeant", ['4', 'R'], ['R'], "Creature", "Minotaur Soldier", "GRN", "Common", 92, 68553)
BookDevourer = Card("book_devourer", "Book Devourer", ['5', 'R'], ['R'], "Creature", "Beast", "GRN", "Uncommon", 93, 68554)
CommandtheStorm = Card("command_the_storm", "Command the Storm", ['4', 'R'], ['R'], "Instant", "", "GRN", "Common", 94, 68555)
CosmotronicWave = Card("cosmotronic_wave", "Cosmotronic Wave", ['3', 'R'], ['R'], "Sorcery", "", "GRN", "Common", 95, 68556)
DirectCurrent = Card("direct_current", "Direct Current", ['1', 'R', 'R'], ['R'], "Sorcery", "", "GRN", "Common", 96, 68557)
ElectrostaticField = Card("electrostatic_field", "Electrostatic Field", ['1', 'R'], ['R'], "Creature", "Wall", "GRN", "Uncommon", 97, 68558)
ErraticCyclops = Card("erratic_cyclops", "Erratic Cyclops", ['3', 'R'], ['R'], "Creature", "Cyclops Shaman", "GRN", "Rare", 98, 68559)
ExperimentalFrenzy = Card("experimental_frenzy", "Experimental Frenzy", ['3', 'R'], ['R'], "Enchantment", "", "GRN", "Rare", 99, 68560)
FearlessHalberdier = Card("fearless_halberdier", "Fearless Halberdier", ['2', 'R'], ['R'], "Creature", "Human Warrior", "GRN", "Common", 100, 68561)
FireUrchin = Card("fire_urchin", "Fire Urchin", ['1', 'R'], ['R'], "Creature", "Elemental", "GRN", "Common", 101, 68562)
GoblinBanneret = Card("goblin_banneret", "Goblin Banneret", ['R'], ['R'], "Creature", "Goblin Soldier", "GRN", "Uncommon", 102, 68563)
GoblinCratermaker = Card("goblin_cratermaker", "Goblin Cratermaker", ['1', 'R'], ['R'], "Creature", "Goblin Warrior", "GRN", "Uncommon", 103, 68564)
GoblinLocksmith = Card("goblin_locksmith", "Goblin Locksmith", ['1', 'R'], ['R'], "Creature", "Goblin Rogue", "GRN", "Common", 104, 68565)
GraviticPunch = Card("gravitic_punch", "Gravitic Punch", ['3', 'R'], ['R'], "Sorcery", "", "GRN", "Common", 105, 68566)
HellkiteWhelp = Card("hellkite_whelp", "Hellkite Whelp", ['4', 'R'], ['R'], "Creature", "Dragon", "GRN", "Uncommon", 106, 68567)
InescapableBlaze = Card("inescapable_blaze", "Inescapable Blaze", ['4', 'R', 'R'], ['R'], "Instant", "", "GRN", "Uncommon", 107, 68568)
LavaCoil = Card("lava_coil", "Lava Coil", ['1', 'R'], ['R'], "Sorcery", "", "GRN", "Uncommon", 108, 68569)
LegionWarboss = Card("legion_warboss", "Legion Warboss", ['2', 'R'], ['R'], "Creature", "Goblin Soldier", "GRN", "Rare", 109, 68570)
ManiacalRage = Card("maniacal_rage", "Maniacal Rage", ['1', 'R'], ['R'], "Enchantment", "Aura", "GRN", "Common", 110, 68571)
MaximizeVelocity = Card("maximize_velocity", "Maximize Velocity", ['R'], ['R'], "Sorcery", "", "GRN", "Common", 111, 68572)
OrneryGoblin = Card("ornery_goblin", "Ornery Goblin", ['1', 'R'], ['R'], "Creature", "Goblin Warrior", "GRN", "Common", 112, 68573)
RiskFactor = Card("risk_factor", "Risk Factor", ['2', 'R'], ['R'], "Instant", "", "GRN", "Rare", 113, 68574)
RubblebeltBoar = Card("rubblebelt_boar", "Rubblebelt Boar", ['3', 'R'], ['R'], "Creature", "Boar", "GRN", "Common", 114, 68575)
RunawaySteamKin = Card("runaway_steamkin", "Runaway Steam-Kin", ['1', 'R'], ['R'], "Creature", "Elemental", "GRN", "Rare", 115, 68576)
SmeltWardMinotaur = Card("smeltward_minotaur", "Smelt-Ward Minotaur", ['2', 'R'], ['R'], "Creature", "Minotaur Warrior", "GRN", "Uncommon", 116, 68577)
StreetRiot = Card("street_riot", "Street Riot", ['4', 'R'], ['R'], "Enchantment", "", "GRN", "Uncommon", 117, 68578)
SureStrike = Card("sure_strike", "Sure Strike", ['1', 'R'], ['R'], "Instant", "", "GRN", "Common", 118, 68579)
TorchCourier = Card("torch_courier", "Torch Courier", ['R'], ['R'], "Creature", "Goblin", "GRN", "Common", 119, 68580)
WojekBodyguard = Card("wojek_bodyguard", "Wojek Bodyguard", ['2', 'R'], ['R'], "Creature", "Human Soldier", "GRN", "Common", 120, 68581)
AffectionateIndrik = Card("affectionate_indrik", "Affectionate Indrik", ['5', 'G'], ['G'], "Creature", "Beast", "GRN", "Uncommon", 121, 68582)
ArboretumElemental = Card("arboretum_elemental", "Arboretum Elemental", ['7', 'G', 'G'], ['G'], "Creature", "Elemental", "GRN", "Uncommon", 122, 68583)
BeastWhisperer = Card("beast_whisperer", "Beast Whisperer", ['2', 'G', 'G'], ['G'], "Creature", "Elf Druid", "GRN", "Rare", 123, 68584)
BountyofMight = Card("bounty_of_might", "Bounty of Might", ['4', 'G', 'G'], ['G'], "Instant", "", "GRN", "Rare", 124, 68585)
CircuitousRoute = Card("circuitous_route", "Circuitous Route", ['3', 'G'], ['G'], "Sorcery", "", "GRN", "Uncommon", 125, 68586)
CrushingCanopy = Card("crushing_canopy", "Crushing Canopy", ['2', 'G'], ['G'], "Instant", "", "GRN", "Common", 126, 68587)
DevkarinDissident = Card("devkarin_dissident", "Devkarin Dissident", ['1', 'G'], ['G'], "Creature", "Elf Warrior", "GRN", "Common", 127, 68588)
DistrictGuide = Card("district_guide", "District Guide", ['2', 'G'], ['G'], "Creature", "Elf Scout", "GRN", "Uncommon", 128, 68589)
GenerousStray = Card("generous_stray", "Generous Stray", ['2', 'G'], ['G'], "Creature", "Cat", "GRN", "Common", 129, 68590)
GolgariRaiders = Card("golgari_raiders", "Golgari Raiders", ['3', 'G'], ['G'], "Creature", "Elf Warrior", "GRN", "Uncommon", 130, 68591)
GrapplingSundew = Card("grappling_sundew", "Grappling Sundew", ['1', 'G'], ['G'], "Creature", "Plant", "GRN", "Uncommon", 131, 68592)
HatcherySpider = Card("hatchery_spider", "Hatchery Spider", ['5', 'G', 'G'], ['G'], "Creature", "Spider", "GRN", "Rare", 132, 68593)
HitchclawRecluse = Card("hitchclaw_recluse", "Hitchclaw Recluse", ['2', 'G'], ['G'], "Creature", "Spider", "GRN", "Common", 133, 68594)
IronshellBeetle = Card("ironshell_beetle", "Ironshell Beetle", ['1', 'G'], ['G'], "Creature", "Insect", "GRN", "Common", 134, 68595)
KraulForagers = Card("kraul_foragers", "Kraul Foragers", ['4', 'G'], ['G'], "Creature", "Insect Scout", "GRN", "Common", 135, 68596)
KraulHarpooner = Card("kraul_harpooner", "Kraul Harpooner", ['1', 'G'], ['G'], "Creature", "Insect Warrior", "GRN", "Uncommon", 136, 68597)
MightoftheMasses = Card("might_of_the_masses", "Might of the Masses", ['G'], ['G'], "Instant", "", "GRN", "Uncommon", 137, 68598)
NullhideFerox = Card("nullhide_ferox", "Nullhide Ferox", ['2', 'G', 'G'], ['G'], "Creature", "Beast", "GRN", "Mythic Rare", 138, 68599)
PacksFavor = Card("packs_favor", "Pack's Favor", ['2', 'G'], ['G'], "Instant", "", "GRN", "Common", 139, 68600)
PauseforReflection = Card("pause_for_reflection", "Pause for Reflection", ['2', 'G'], ['G'], "Instant", "", "GRN", "Common", 140, 68601)
PeltCollector = Card("pelt_collector", "Pelt Collector", ['G'], ['G'], "Creature", "Elf Warrior", "GRN", "Rare", 141, 68602)
PortcullisVine = Card("portcullis_vine", "Portcullis Vine", ['G'], ['G'], "Creature", "Plant Wall", "GRN", "Common", 142, 68603)
PreyUpon = Card("prey_upon", "Prey Upon", ['G'], ['G'], "Sorcery", "", "GRN", "Common", 143, 68604)
SiegeWurm = Card("siege_wurm", "Siege Wurm", ['5', 'G', 'G'], ['G'], "Creature", "Wurm", "GRN", "Common", 144, 68605)
SproutingRenewal = Card("sprouting_renewal", "Sprouting Renewal", ['2', 'G'], ['G'], "Sorcery", "", "GRN", "Uncommon", 145, 68606)
UrbanUtopia = Card("urban_utopia", "Urban Utopia", ['1', 'G'], ['G'], "Enchantment", "Aura", "GRN", "Common", 146, 68607)
VigorsporeWurm = Card("vigorspore_wurm", "Vigorspore Wurm", ['5', 'G'], ['G'], "Creature", "Wurm", "GRN", "Common", 147, 68608)
VividRevival = Card("vivid_revival", "Vivid Revival", ['4', 'G'], ['G'], "Sorcery", "", "GRN", "Rare", 148, 68609)
WaryOkapi = Card("wary_okapi", "Wary Okapi", ['2', 'G'], ['G'], "Creature", "Antelope", "GRN", "Common", 149, 68610)
WildCeratok = Card("wild_ceratok", "Wild Ceratok", ['3', 'G'], ['G'], "Creature", "Rhino", "GRN", "Common", 150, 68611)
ArtfulTakedown = Card("artful_takedown", "Artful Takedown", ['2', 'U', 'B'], ['U', 'B'], "Instant", "", "GRN", "Common", 151, 68612)
AssassinsTrophy = Card("assassins_trophy", "Assassin's Trophy", ['B', 'G'], ['B', 'G'], "Instant", "", "GRN", "Rare", 152, 68613)
AureliaExemplarofJustice = Card("aurelia_exemplar_of_justice", "Aurelia, Exemplar of Justice", ['2', 'R', 'W'], ['R', 'W'], "Creature", "Angel", "GRN", "Mythic Rare", 153, 68614)
BeaconBolt = Card("beacon_bolt", "Beacon Bolt", ['1', 'U', 'R'], ['U', 'R'], "Sorcery", "", "GRN", "Uncommon", 154, 68615)
BeamsplitterMage = Card("beamsplitter_mage", "Beamsplitter Mage", ['U', 'R'], ['U', 'R'], "Creature", "Vedalken Wizard", "GRN", "Uncommon", 155, 68616)
BorosChallenger = Card("boros_challenger", "Boros Challenger", ['R', 'W'], ['R', 'W'], "Creature", "Human Soldier", "GRN", "Uncommon", 156, 68617)
Camaraderie = Card("camaraderie", "Camaraderie", ['4', 'G', 'W'], ['G', 'W'], "Sorcery", "", "GRN", "Rare", 157, 68618)
CentaurPeacemaker = Card("centaur_peacemaker", "Centaur Peacemaker", ['1', 'G', 'W'], ['G', 'W'], "Creature", "Centaur Cleric", "GRN", "Common", 158, 68619)
ChanceforGlory = Card("chance_for_glory", "Chance for Glory", ['1', 'R', 'W'], ['R', 'W'], "Instant", "", "GRN", "Mythic Rare", 159, 68620)
CharnelTroll = Card("charnel_troll", "Charnel Troll", ['1', 'B', 'G'], ['B', 'G'], "Creature", "Troll", "GRN", "Rare", 160, 68621)
ConclaveCavalier = Card("conclave_cavalier", "Conclave Cavalier", ['G', 'G', 'W', 'W'], ['G', 'W'], "Creature", "Centaur Knight", "GRN", "Uncommon", 161, 68622)
ConclaveGuildmage = Card("conclave_guildmage", "Conclave Guildmage", ['G', 'W'], ['G', 'W'], "Creature", "Elf Cleric", "GRN", "Uncommon", 162, 68623)
CracklingDrake = Card("crackling_drake", "Crackling Drake", ['U', 'U', 'R', 'R'], ['U', 'R'], "Creature", "Drake", "GRN", "Uncommon", 163, 68624)
DarkbladeAgent = Card("darkblade_agent", "Darkblade Agent", ['1', 'U', 'B'], ['U', 'B'], "Creature", "Human Assassin", "GRN", "Common", 164, 68625)
DeafeningClarion = Card("deafening_clarion", "Deafening Clarion", ['1', 'R', 'W'], ['R', 'W'], "Sorcery", "", "GRN", "Rare", 165, 68626)
DimirSpybug = Card("dimir_spybug", "Dimir Spybug", ['U', 'B'], ['U', 'B'], "Creature", "Insect", "GRN", "Uncommon", 166, 68627)
DisinformationCampaign = Card("disinformation_campaign", "Disinformation Campaign", ['1', 'U', 'B'], ['U', 'B'], "Enchantment", "", "GRN", "Uncommon", 167, 68628)
EmmaraSouloftheAccord = Card("emmara_soul_of_the_accord", "Emmara, Soul of the Accord", ['G', 'W'], ['G', 'W'], "Creature", "Elf Cleric", "GRN", "Rare", 168, 68629)
ErstwhileTrooper = Card("erstwhile_trooper", "Erstwhile Trooper", ['1', 'B', 'G'], ['B', 'G'], "Creature", "Zombie Soldier", "GRN", "Common", 169, 68630)
EtratatheSilencer = Card("etrata_the_silencer", "Etrata, the Silencer", ['2', 'U', 'B'], ['U', 'B'], "Creature", "Vampire Assassin", "GRN", "Rare", 170, 68631)
FiremindsResearch = Card("fireminds_research", "Firemind's Research", ['U', 'R'], ['U', 'R'], "Enchantment", "", "GRN", "Rare", 171, 68632)
GarrisonSergeant = Card("garrison_sergeant", "Garrison Sergeant", ['3', 'R', 'W'], ['R', 'W'], "Creature", "Viashino Soldier", "GRN", "Common", 172, 68633)
GlowsporeShaman = Card("glowspore_shaman", "Glowspore Shaman", ['B', 'G'], ['B', 'G'], "Creature", "Elf Shaman", "GRN", "Uncommon", 173, 68634)
GoblinElectromancer = Card("goblin_electromancer", "Goblin Electromancer", ['U', 'R'], ['U', 'R'], "Creature", "Goblin Wizard", "GRN", "Common", 174, 68635)
GolgariFindbroker = Card("golgari_findbroker", "Golgari Findbroker", ['B', 'B', 'G', 'G'], ['B', 'G'], "Creature", "Elf Shaman", "GRN", "Uncommon", 175, 68636)
HammerDropper = Card("hammer_dropper", "Hammer Dropper", ['2', 'R', 'W'], ['R', 'W'], "Creature", "Giant Soldier", "GRN", "Common", 176, 68637)
HouseGuildmage = Card("house_guildmage", "House Guildmage", ['U', 'B'], ['U', 'B'], "Creature", "Human Wizard", "GRN", "Uncommon", 177, 68638)
Hypothesizzle = Card("hypothesizzle", "Hypothesizzle", ['3', 'U', 'R'], ['U', 'R'], "Instant", "", "GRN", "Common", 178, 68639)
Ionize = Card("ionize", "Ionize", ['1', 'U', 'R'], ['U', 'R'], "Instant", "", "GRN", "Rare", 179, 68640)
IzoniThousandEyed = Card("izoni_thousandeyed", "Izoni, Thousand-Eyed", ['2', 'B', 'B', 'G', 'G'], ['B', 'G'], "Creature", "Elf Shaman", "GRN", "Rare", 180, 68641)
JoinShields = Card("join_shields", "Join Shields", ['3', 'G', 'W'], ['G', 'W'], "Instant", "", "GRN", "Uncommon", 181, 68642)
JusticeStrike = Card("justice_strike", "Justice Strike", ['R', 'W'], ['R', 'W'], "Instant", "", "GRN", "Uncommon", 182, 68643)
KnightofAutumn = Card("knight_of_autumn", "Knight of Autumn", ['1', 'G', 'W'], ['G', 'W'], "Creature", "Dryad Knight", "GRN", "Rare", 183, 68644)
LazavtheMultifarious = Card("lazav_the_multifarious", "Lazav, the Multifarious", ['U', 'B'], ['U', 'B'], "Creature", "Shapeshifter", "GRN", "Mythic Rare", 184, 68645)
LeagueGuildmage = Card("league_guildmage", "League Guildmage", ['U', 'R'], ['U', 'R'], "Creature", "Human Wizard", "GRN", "Uncommon", 185, 68646)
LedevChampion = Card("ledev_champion", "Ledev Champion", ['1', 'G', 'W'], ['G', 'W'], "Creature", "Elf Knight", "GRN", "Uncommon", 186, 68647)
LegionGuildmage = Card("legion_guildmage", "Legion Guildmage", ['R', 'W'], ['R', 'W'], "Creature", "Human Wizard", "GRN", "Uncommon", 187, 68648)
MarchoftheMultitudes = Card("march_of_the_multitudes", "March of the Multitudes", ['X', 'G', 'W', 'W'], ['G', 'W'], "Instant", "", "GRN", "Mythic Rare", 188, 68649)
MnemonicBetrayal = Card("mnemonic_betrayal", "Mnemonic Betrayal", ['1', 'U', 'B'], ['U', 'B'], "Sorcery", "", "GRN", "Mythic Rare", 189, 68650)
Molderhulk = Card("molderhulk", "Molderhulk", ['7', 'B', 'G'], ['B', 'G'], "Creature", "Fungus Zombie", "GRN", "Uncommon", 190, 68651)
NightveilPredator = Card("nightveil_predator", "Nightveil Predator", ['U', 'U', 'B', 'B'], ['U', 'B'], "Creature", "Vampire", "GRN", "Uncommon", 191, 68652)
NivMizzetParun = Card("nivmizzet_parun", "Niv-Mizzet, Parun", ['U', 'U', 'U', 'R', 'R', 'R'], ['U', 'R'], "Creature", "Dragon Wizard", "GRN", "Rare", 192, 68653)
NotionRain = Card("notion_rain", "Notion Rain", ['1', 'U', 'B'], ['U', 'B'], "Sorcery", "", "GRN", "Common", 193, 68654)
OchranAssassin = Card("ochran_assassin", "Ochran Assassin", ['1', 'B', 'G'], ['B', 'G'], "Creature", "Elf Assassin", "GRN", "Uncommon", 194, 68655)
RalIzzetViceroy = Card("ral_izzet_viceroy", "Ral, Izzet Viceroy", ['3', 'U', 'R'], ['U', 'R'], "Planeswalker", "Ral", "GRN", "Mythic Rare", 195, 68656)
RalIzzetViceroy_Masterpiece = Card("ral_izzet_viceroy", "Ral, Izzet Viceroy", ['3', 'U', 'R'], ['U', 'R'], "Planeswalker", "Ral", "GRN", "Mythic Rare", 5000, 69449)
RhizomeLurcher = Card("rhizome_lurcher", "Rhizome Lurcher", ['2', 'B', 'G'], ['B', 'G'], "Creature", "Fungus Zombie", "GRN", "Common", 196, 68657)
RosemaneCentaur = Card("rosemane_centaur", "Rosemane Centaur", ['3', 'G', 'W'], ['G', 'W'], "Creature", "Centaur Soldier", "GRN", "Common", 197, 68658)
SkyknightLegionnaire = Card("skyknight_legionnaire", "Skyknight Legionnaire", ['1', 'R', 'W'], ['R', 'W'], "Creature", "Human Knight", "GRN", "Common", 198, 68659)
SonicAssault = Card("sonic_assault", "Sonic Assault", ['1', 'U', 'R'], ['U', 'R'], "Instant", "", "GRN", "Common", 199, 68660)
SumalaWoodshaper = Card("sumala_woodshaper", "Sumala Woodshaper", ['2', 'G', 'W'], ['G', 'W'], "Creature", "Elf Druid", "GRN", "Common", 200, 68661)
SwarmGuildmage = Card("swarm_guildmage", "Swarm Guildmage", ['B', 'G'], ['B', 'G'], "Creature", "Elf Shaman", "GRN", "Uncommon", 201, 68662)
SwathcutterGiant = Card("swathcutter_giant", "Swathcutter Giant", ['4', 'R', 'W'], ['R', 'W'], "Creature", "Giant Soldier", "GRN", "Uncommon", 202, 68663)
SwiftbladeVindicator = Card("swiftblade_vindicator", "Swiftblade Vindicator", ['R', 'W'], ['R', 'W'], "Creature", "Human Soldier", "GRN", "Rare", 203, 68664)
TajicLegionsEdge = Card("tajic_legions_edge", "Tajic, Legion's Edge", ['1', 'R', 'W'], ['R', 'W'], "Creature", "Human Soldier", "GRN", "Rare", 204, 68665)
ThiefofSanity = Card("thief_of_sanity", "Thief of Sanity", ['1', 'U', 'B'], ['U', 'B'], "Creature", "Specter", "GRN", "Rare", 205, 68666)
ThoughtErasure = Card("thought_erasure", "Thought Erasure", ['U', 'B'], ['U', 'B'], "Sorcery", "", "GRN", "Uncommon", 206, 68667)
ThousandYearStorm = Card("thousandyear_storm", "Thousand-Year Storm", ['4', 'U', 'R'], ['U', 'R'], "Enchantment", "", "GRN", "Mythic Rare", 207, 68668)
TrostaniDiscordant = Card("trostani_discordant", "Trostani Discordant", ['3', 'G', 'W'], ['G', 'W'], "Creature", "Dryad", "GRN", "Mythic Rare", 208, 68669)
TruefireCaptain = Card("truefire_captain", "Truefire Captain", ['R', 'R', 'W', 'W'], ['R', 'W'], "Creature", "Human Knight", "GRN", "Uncommon", 209, 68670)
UndercityUprising = Card("undercity_uprising", "Undercity Uprising", ['2', 'B', 'G'], ['B', 'G'], "Sorcery", "", "GRN", "Common", 210, 68671)
UnderrealmLich = Card("underrealm_lich", "Underrealm Lich", ['3', 'B', 'G'], ['B', 'G'], "Creature", "Zombie Elf Shaman", "GRN", "Mythic Rare", 211, 68672)
UnmooredEgo = Card("unmoored_ego", "Unmoored Ego", ['1', 'U', 'B'], ['U', 'B'], "Sorcery", "", "GRN", "Rare", 212, 68673)
VraskaGolgariQueen = Card("vraska_golgari_queen", "Vraska, Golgari Queen", ['2', 'B', 'G'], ['B', 'G'], "Planeswalker", "Vraska", "GRN", "Mythic Rare", 213, 68674)
VraskaGolgariQueen_Masterpiece = Card("vraska_golgari_queen", "Vraska, Golgari Queen", ['2', 'B', 'G'], ['B', 'G'], "Planeswalker", "Vraska", "GRN", "Mythic Rare", 8000, 69450)
WeeDragonauts = Card("wee_dragonauts", "Wee Dragonauts", ['1', 'U', 'R'], ['U', 'R'], "Creature", "Faerie Wizard", "GRN", "Uncommon", 214, 68675)
WorldsoulColossus = Card("worldsoul_colossus", "Worldsoul Colossus", ['X', 'G', 'W'], ['G', 'W'], "Creature", "Elemental", "GRN", "Uncommon", 215, 68676)
FreshFacedRecruit = Card("freshfaced_recruit", "Fresh-Faced Recruit", ['1', '(R/W)'], ['R', 'W'], "Creature", "Human Soldier", "GRN", "Common", 216, 68677)
PistonFistCyclops = Card("pistonfist_cyclops", "Piston-Fist Cyclops", ['1', '(U/R)', '(U/R)'], ['U', 'R'], "Creature", "Cyclops", "GRN", "Common", 217, 68678)
PitilessGorgon = Card("pitiless_gorgon", "Pitiless Gorgon", ['1', '(B/G)', '(B/G)'], ['B', 'G'], "Creature", "Gorgon", "GRN", "Common", 218, 68679)
VernadiShieldmate = Card("vernadi_shieldmate", "Vernadi Shieldmate", ['1', '(G/W)'], ['G', 'W'], "Creature", "Human Soldier", "GRN", "Common", 219, 68680)
WhisperAgent = Card("whisper_agent", "Whisper Agent", ['1', '(U/B)', '(U/B)'], ['U', 'B'], "Creature", "Human Rogue", "GRN", "Common", 220, 68681)
AssureAssemble = Card("assure__assemble", "Assure // Assemble", ['(G/W)', '(G/W)', '4', 'G', 'W'], ['W', 'G'], "Instant Instant", "", "GRN", "Rare", 221, 68682)
Assure = Card("assure", "Assure", ['(G/W)', '(G/W)'], ['G', 'W'], "Instant", "", "GRN", "Rare", 221, 68683)
Assemble = Card("assemble", "Assemble", ['4', 'G', 'W'], ['G', 'W'], "Instant", "", "GRN", "Rare", 221, 68684)
ConniveConcoct = Card("connive__concoct", "Connive // Concoct", ['2', '(U/B)', '(U/B)', '3', 'U', 'B'], ['U', 'B'], "Sorcery Sorcery", "", "GRN", "Rare", 222, 68685)
Connive = Card("connive", "Connive", ['2', '(U/B)', '(U/B)'], ['U', 'B'], "Sorcery", "", "GRN", "Rare", 222, 68686)
Concoct = Card("concoct", "Concoct", ['3', 'U', 'B'], ['U', 'B'], "Sorcery", "", "GRN", "Rare", 222, 68687)
DiscoveryDispersal = Card("discovery__dispersal", "Discovery // Dispersal", ['1', '(U/B)', '3', 'U', 'B'], ['U', 'B'], "Sorcery Instant", "", "GRN", "Uncommon", 223, 68688)
Discovery = Card("discovery", "Discovery", ['1', '(U/B)'], ['U', 'B'], "Sorcery", "", "GRN", "Uncommon", 223, 68689)
Dispersal = Card("dispersal", "Dispersal", ['3', 'U', 'B'], ['U', 'B'], "Instant", "", "GRN", "Uncommon", 223, 68690)
ExpansionExplosion = Card("expansion__explosion", "Expansion // Explosion", ['(U/R)', '(U/R)', 'X', 'U', 'U', 'R', 'R'], ['U', 'R'], "Instant Instant", "", "GRN", "Rare", 224, 68691)
Expansion = Card("expansion", "Expansion", ['(U/R)', '(U/R)'], ['U', 'R'], "Instant", "", "GRN", "Rare", 224, 68692)
Explosion = Card("explosion", "Explosion", ['X', 'U', 'U', 'R', 'R'], ['U', 'R'], "Instant", "", "GRN", "Rare", 224, 68693)
FindFinality = Card("find__finality", "Find // Finality", ['(B/G)', '(B/G)', '4', 'B', 'G'], ['B', 'G'], "Sorcery Sorcery", "", "GRN", "Rare", 225, 68694)
Find = Card("find", "Find", ['(B/G)', '(B/G)'], ['B', 'G'], "Sorcery", "", "GRN", "Rare", 225, 68695)
Finality = Card("finality", "Finality", ['4', 'B', 'G'], ['B', 'G'], "Sorcery", "", "GRN", "Rare", 225, 68696)
FlowerFlourish = Card("flower__flourish", "Flower // Flourish", ['(G/W)', '4', 'G', 'W'], ['W', 'G'], "Sorcery Sorcery", "", "GRN", "Uncommon", 226, 68697)
Flower = Card("flower", "Flower", ['(G/W)'], ['G', 'W'], "Sorcery", "", "GRN", "Uncommon", 226, 68698)
Flourish = Card("flourish", "Flourish", ['4', 'G', 'W'], ['G', 'W'], "Sorcery", "", "GRN", "Uncommon", 226, 68699)
IntegrityIntervention = Card("integrity__intervention", "Integrity // Intervention", ['(R/W)', '2', 'R', 'W'], ['W', 'R'], "Instant Instant", "", "GRN", "Uncommon", 227, 68700)
Integrity = Card("integrity", "Integrity", ['(R/W)'], ['R', 'W'], "Instant", "", "GRN", "Uncommon", 227, 68701)
Intervention = Card("intervention", "Intervention", ['2', 'R', 'W'], ['R', 'W'], "Instant", "", "GRN", "Uncommon", 227, 68702)
InvertInvent = Card("invert__invent", "Invert // Invent", ['(U/R)', '4', 'U', 'R'], ['U', 'R'], "Instant Instant", "", "GRN", "Uncommon", 228, 68703)
Invert = Card("invert", "Invert", ['(U/R)'], ['U', 'R'], "Instant", "", "GRN", "Uncommon", 228, 68704)
Invent = Card("invent", "Invent", ['4', 'U', 'R'], ['U', 'R'], "Instant", "", "GRN", "Uncommon", 228, 68705)
ResponseResurgence = Card("response__resurgence", "Response // Resurgence", ['(R/W)', '(R/W)', '3', 'R', 'W'], ['W', 'R'], "Instant Sorcery", "", "GRN", "Rare", 229, 68706)
Response = Card("response", "Response", ['(R/W)', '(R/W)'], ['R', 'W'], "Instant", "", "GRN", "Rare", 229, 68707)
Resurgence = Card("resurgence", "Resurgence", ['3', 'R', 'W'], ['R', 'W'], "Sorcery", "", "GRN", "Rare", 229, 68708)
StatusStatue = Card("status__statue", "Status // Statue", ['(B/G)', '2', 'B', 'G'], ['B', 'G'], "Instant Instant", "", "GRN", "Uncommon", 230, 68709)
Status = Card("status", "Status", ['(B/G)'], ['B', 'G'], "Instant", "", "GRN", "Uncommon", 230, 68710)
Statue = Card("statue", "Statue", ['2', 'B', 'G'], ['B', 'G'], "Instant", "", "GRN", "Uncommon", 230, 68711)
BorosLocket = Card("boros_locket", "Boros Locket", ['3'], ['W', 'R'], "Artifact", "", "GRN", "Common", 231, 68712)
ChamberSentry = Card("chamber_sentry", "Chamber Sentry", ['X'], ['U', 'B', 'W', 'G', 'R'], "Artifact Creature", "Construct", "GRN", "Rare", 232, 68713)
ChromaticLantern = Card("chromatic_lantern", "Chromatic Lantern", ['3'], [], "Artifact", "", "GRN", "Rare", 233, 68714)
DimirLocket = Card("dimir_locket", "Dimir Locket", ['3'], ['U', 'B'], "Artifact", "", "GRN", "Common", 234, 68715)
GatekeeperGargoyle = Card("gatekeeper_gargoyle", "Gatekeeper Gargoyle", ['6'], [], "Artifact Creature", "Gargoyle", "GRN", "Uncommon", 235, 68716)
GlaiveoftheGuildpact = Card("glaive_of_the_guildpact", "Glaive of the Guildpact", ['2'], [], "Artifact", "Equipment", "GRN", "Uncommon", 236, 68717)
GolgariLocket = Card("golgari_locket", "Golgari Locket", ['3'], ['B', 'G'], "Artifact", "", "GRN", "Common", 237, 68718)
IzzetLocket = Card("izzet_locket", "Izzet Locket", ['3'], ['U', 'R'], "Artifact", "", "GRN", "Common", 238, 68719)
RampagingMonument = Card("rampaging_monument", "Rampaging Monument", ['4'], [], "Artifact Creature", "Cleric", "GRN", "Uncommon", 239, 68720)
SelesnyaLocket = Card("selesnya_locket", "Selesnya Locket", ['3'], ['W', 'G'], "Artifact", "", "GRN", "Common", 240, 68721)
SilentDart = Card("silent_dart", "Silent Dart", ['1'], [], "Artifact", "", "GRN", "Uncommon", 241, 68722)
WandofVertebrae = Card("wand_of_vertebrae", "Wand of Vertebrae", ['1'], [], "Artifact", "", "GRN", "Uncommon", 242, 68723)
BorosGuildgate = Card("boros_guildgate", "Boros Guildgate", [], ['R', 'W'], "Land", "Gate", "GRN", "Common", 243, 68724)
BorosGuildgate2 = Card("boros_guildgate", "Boros Guildgate", [], ['R', 'W'], "Land", "Gate", "GRN", "Common", 244, 68725)
DimirGuildgate = Card("dimir_guildgate", "Dimir Guildgate", [], ['U', 'B'], "Land", "Gate", "GRN", "Common", 245, 68726)
DimirGuildgate2 = Card("dimir_guildgate", "Dimir Guildgate", [], ['U', 'B'], "Land", "Gate", "GRN", "Common", 246, 68727)
GatewayPlaza = Card("gateway_plaza", "Gateway Plaza", [], [], "Land", "Gate", "GRN", "Common", 247, 68728)
GolgariGuildgate = Card("golgari_guildgate", "Golgari Guildgate", [], ['B', 'G'], "Land", "Gate", "GRN", "Common", 248, 68729)
GolgariGuildgate2 = Card("golgari_guildgate", "Golgari Guildgate", [], ['B', 'G'], "Land", "Gate", "GRN", "Common", 249, 68730)
GuildmagesForum = Card("guildmages_forum", "Guildmages' Forum", [], [], "Land", "", "GRN", "Rare", 250, 68731)
IzzetGuildgate = Card("izzet_guildgate", "Izzet Guildgate", [], ['U', 'R'], "Land", "Gate", "GRN", "Common", 251, 68732)
IzzetGuildgate2 = Card("izzet_guildgate", "Izzet Guildgate", [], ['U', 'R'], "Land", "Gate", "GRN", "Common", 252, 68733)
OvergrownTomb = Card("overgrown_tomb", "Overgrown Tomb", [], ['B', 'G'], "Land", "Swamp Forest", "GRN", "Rare", 253, 68734)
SacredFoundry = Card("sacred_foundry", "Sacred Foundry", [], ['R', 'W'], "Land", "Mountain Plains", "GRN", "Rare", 254, 68735)
SelesnyaGuildgate = Card("selesnya_guildgate", "Selesnya Guildgate", [], ['G', 'W'], "Land", "Gate", "GRN", "Common", 255, 68736)
SelesnyaGuildgate2 = Card("selesnya_guildgate", "Selesnya Guildgate", [], ['G', 'W'], "Land", "Gate", "GRN", "Common", 256, 68737)
SteamVents = Card("steam_vents", "Steam Vents", [], ['U', 'R'], "Land", "Island Mountain", "GRN", "Rare", 257, 68738)
TempleGarden = Card("temple_garden", "Temple Garden", [], ['G', 'W'], "Land", "Forest Plains", "GRN", "Rare", 258, 68739)
WateryGrave = Card("watery_grave", "Watery Grave", [], ['U', 'B'], "Land", "Island Swamp", "GRN", "Rare", 259, 68740)
Plains = Card("plains", "Plains", [], ['W'], "Land", "Plains", "GRN", "Basic", 260, 68741)
Island = Card("island", "Island", [], ['U'], "Land", "Island", "GRN", "Basic", 261, 68742)
Swamp = Card("swamp", "Swamp", [], ['B'], "Land", "Swamp", "GRN", "Basic", 262, 68743)
Mountain = Card("mountain", "Mountain", [], ['R'], "Land", "Mountain", "GRN", "Basic", 263, 68744)
Forest = Card("forest", "Forest", [], ['G'], "Land", "Forest", "GRN", "Basic", 264, 68745)
RalCallerofStorms = Card("ral_caller_of_storms", "Ral, Caller of Storms", ['4', 'U', 'R'], ['U', 'R'], "Planeswalker", "Ral", "GRN", "Mythic Rare", 265, 68746)
RalsDispersal = Card("rals_dispersal", "Ral's Dispersal", ['3', 'U', 'U'], ['U'], "Instant", "", "GRN", "Rare", 266, 68747)
PrecisionBolt = Card("precision_bolt", "Precision Bolt", ['2', 'R'], ['R'], "Sorcery", "", "GRN", "Common", 267, 68748)
RalsStaticaster = Card("rals_staticaster", "Ral's Staticaster", ['2', 'U', 'R'], ['U', 'R'], "Creature", "Viashino Wizard", "GRN", "Uncommon", 268, 68749)
VraskaRegalGorgon = Card("vraska_regal_gorgon", "Vraska, Regal Gorgon", ['5', 'B', 'G'], ['B', 'G'], "Planeswalker", "Vraska", "GRN", "Mythic Rare", 269, 68750)
KraulRaider = Card("kraul_raider", "Kraul Raider", ['2', 'B'], ['B'], "Creature", "Insect Warrior", "GRN", "Common", 270, 68751)
AttendantofVraska = Card("attendant_of_vraska", "Attendant of Vraska", ['1', 'B', 'G'], ['B', 'G'], "Creature", "Zombie Soldier", "GRN", "Uncommon", 271, 68752)
VraskasStoneglare = Card("vraskas_stoneglare", "Vraska's Stoneglare", ['4', 'B', 'G'], ['B', 'G'], "Sorcery", "", "GRN", "Rare", 272, 68753)
ImperviousGreatwurm = Card("impervious_greatwurm", "Impervious Greatwurm", ['7', 'G', 'G', 'G'], ['G'], "Creature", "Wurm", "GRN", "Mythic Rare", 273, 68754)
Angel = Card("angel", "Angel", [], [], "Creature", "Angel", "GRN", "Token", 1, 68755)
Soldier = Card("soldier", "Soldier", [], [], "Creature", "Soldier", "GRN", "Token", 2, 68756)
BirdIllusion = Card("bird_illusion", "Bird Illusion", [], [], "Creature", "Bird Illusion", "GRN", "Token", 3, 68757)
Goblin = Card("goblin", "Goblin", [], [], "Creature", "Goblin", "GRN", "Token", 4, 68758)
Insect = Card("insect", "Insect", [], [], "Creature", "Insect", "GRN", "Token", 5, 68759)
ElfKnight = Card("elf_knight", "Elf Knight", [], [], "Creature", "Elf Knight", "GRN", "Token", 6, 68760)


clsmembers = [card for name, card in inspect.getmembers(sys.modules[__name__]) if isinstance(card, Card)]
GuildsOfRavnica = Set("grn", cards=clsmembers)
